[Date Prev][Date Next] [Chronological] [Thread] [Top]

RE: need LDBM ?

On 23 May, Mansournt, Eliezer (USSM - Debt Markets) wrote:
> env CPPFLAGS=-I/usr/local/BerkeleyDB/include:/usr/local/include

check the man page for env(1). It doesn't do what you are trying to do.
What you probably want is export.

However, why not just use

CPPFLAGS=-I/usr/local/BerkeleyDB/include:/usr/local/include	\
LDFLAGS=-L/usr/local/BerkeleyDB/lib				\
LD_LIBRARY_PATH=/usr/local/BerkeleyDB/lib:/usr/local/lib	\
ac_cv_func_pthread_create=no					\
ol_cv_kthread_flag=no						\
ol_cv_pthread_flag=no						\
ol_cv_pthreads_flag=no						\
ol_cv_thread_flag=no						\
./configure --with-ldbm-api=db2

Btw, are you sure you need the thread options?

Doug Nazar
Dragon Computer Consultants Inc.
Tel: (416) 708-1578     Fax: (416) 708-8081